libsigc++ 2.2.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# sigc::lambda< T_type > Struct Template Reference
Lambdas

Lambda type. More...

`#include <sigc++/adaptors/lambda/base.h>`

Inherits internal::lambda_core< T_type >.

List of all members.

## Public Types
typedef lambda< T_type > | self
## Public Member Functions
| lambda (typename type_trait< T_type >::take v)
template <class T_arg >
lambda< lambda_operator<other < subscript >, self, typename unwrap_lambda_type< T_arg > ::type > > | operator[] (const T_arg &a) const
template <class T_arg >
lambda< lambda_operator<other < assign >, self, typename unwrap_lambda_type< T_arg > ::type > > | operator= (const T_arg &a) const

## Detailed Description

### template<class T_type>
struct sigc::lambda< T_type >

Lambda type.

Objects of this type store a value that may be of type lambda itself. In this case, operator()() executes the lambda (a lambda is always a functor at the same time). Otherwise, operator()() simply returns the stored value. The assign and subscript operators are defined to return a lambda operator.